Uses Crt,Tools,ModeXLib,Gif,Font;

Var Sine:Array[0..127] of Word;{sine table for vertical wave}
    t:Word;                     {"time", position within the sine}

Begin
  Init_ModeX;                   {Mode X on}
  LoadGif('pfont4');            {load character set}
  p13_2_ModeX(48000,16000);     {and copy to page 3}
  Sin_Gen(Sine,128,Scrl_y div 2,Scrl_y div 2);
                                {prepare sine table for vertical movement}
  t:=0;                         {time starts at 0}
  Repeat
    WaitRetrace;                {synchronization}
    Scrl_Move;                  {move visible part to the right}
    Scrl_Append;                {add new column on the right }
    SetStart(Sine[t and 127]*80);  {cause vertical movement}
    Inc(t);                     {continue in sine table}
  Until KeyPressed;
  TextMode(3);
End.
